package hra;

import java.util.InputMismatchException;
import java.util.Scanner;

/**
 *
 * @author lsroubov
 */
public class HraDvouHracu {
    private Scanner sc = new Scanner(System.in);
    
    private int nactiCeleCislo(String hlaska){
        int cislo;
        while(true){
            try {
                System.out.print(hlaska);
                cislo = sc.nextInt();
                return(cislo);
            } catch (InputMismatchException e) {
                System.out.println("Je nutno zadat cislo.");
                sc.nextLine();
            }
        }
    }
    private String nactiJmeno(String hlaska){
      String jmeno; 
      System.out.print(hlaska);
      jmeno = sc.next();
      if(jmeno.length() > 20){
          jmeno = jmeno.substring(0, 20);
      }
      return(jmeno);
    }
    public void spustHru(HodKostkou kostka){
        int pocetPoli;
        int pocetPoliMin = 15;
        int pocetPoliMax = 80;
        do {
            pocetPoli = nactiCeleCislo(String.format("Zadej pocet poli od %d do %d: ", pocetPoliMin, pocetPoliMax));
        }while((pocetPoli < pocetPoliMin)|| (pocetPoli > pocetPoliMax));
        String jmeno1 = nactiJmeno("Zadej jmeno 1. hrace: ");
        String jmeno2 = nactiJmeno("Zadej jmeno 2. hrace: ");
        int kdoZacne = kostka.hazej();
        System.out.printf("Rozhoz: %d\n",kdoZacne);
        System.out.printf("Zacina: %s\n", (kdoZacne%2 == 0) ? jmeno2 : jmeno1);
        Hrac hracA, hracB;
        if(kdoZacne%2 == 1){
            hracA = new Hrac(jmeno1, 0, pocetPoli, kostka);
            hracB = new Hrac(jmeno2, 0, pocetPoli, kostka);
        } else {
            hracA = new Hrac(jmeno2, 0, pocetPoli, kostka);
            hracB = new Hrac(jmeno1, 0, pocetPoli, kostka);
        }
        Zapas boj = new Zapas(hracA, hracB, kostka);
        boj.bojujte();
        
    }
}
